org.omg.PortableServer

## Interface IdAssignmentPolicyOperations

- All Superinterfaces:
    PolicyOperations
  All Known Subinterfaces:
    IdAssignmentPolicy

      public interface IdAssignmentPolicyOperations
      extends PolicyOperations

  IdAssignmentPolicy specifies whether Object Ids in the created POA are generated by the application or by the ORB. The default is SYSTEM_ID.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdAssignmentPolicyValue` | `value()` specifies the policy value

    - ### Methods inherited from interface org.omg.CORBA.PolicyOperations

      `copy, destroy, policy_type`

- - ### Method Detail

    - #### value

          IdAssignmentPolicyValue value()

      specifies the policy value

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.